
Installer - Refactor #31878

Switch to using SSL for client authentication of qpid-dispatch to qpid

02/15/2021 10:52 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-kat

ello/pull/384,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/327,

https://github.com/theforeman/puppet-ce

rts/pull/316,

https://github.com/theforeman/puppet-kat

ello/pull/388,

https://github.com/theforeman/puppet-kat

ello/pull/390,

https://github.com/theforeman/puppet-kat

ello/pull/391

  

Description

Associated revisions

Revision d52a9810 - 02/19/2021 02:32 PM - Eric Helms

Fixes #31878: Turn on Qpid auth and set ACLs special CN from qpid router cert

Revision 06471c2d - 02/19/2021 02:32 PM - Eric Helms

Refs #31878 - Split qpid router server and client certificates

Revision 11e70e8b - 02/19/2021 02:41 PM - Eric Helms

Refs #31878: Use client certificate auth to talk from qpid-dispatch to qpid

Revision ce98aab5 - 02/24/2021 12:52 PM - Ewoud Kohl van Wijngaarden

Refs #31878 - Allow external mechanism for qpid SASL

Revision 969211a6 - 03/01/2021 03:37 PM - Ewoud Kohl van Wijngaarden

Refs #31878 - Correct qpid dependency

In ce98aab5a87dd542eaf649622f0aa7df6207f2d5 the qpid dependency was set

to >= 6.2.0 but 6.2.0 was already released. It was just that master

still had 6.1.0 which confused me. This corrects the matter and allows

the newer version to be used.

Fixes: ce98aab5a87dd542eaf649622f0aa7df6207f2d5

History

#1 - 02/16/2021 02:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-katello/pull/384 added
#2 - 02/16/2021 02:34 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/327 added

#3 - 02/16/2021 08:46 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-certs/pull/316 added

#4 - 02/19/2021 02:32 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#5 - 02/19/2021 03:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-katello|d52a9810301c5581f08a63de2f080a006ed51133.

#6 - 02/20/2021 02:25 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/388 added

#7 - 02/24/2021 12:54 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/390 added

#8 - 03/01/2021 03:39 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/391 added

#9 - 03/03/2021 02:17 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Target version set to 2.4.0

- Triaged changed from No to Yes

#10 - 03/10/2021 05:25 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)
